var React = require('react');
var BemMixin = require('./BemMixin');

var PropTypes = React.PropTypes;

var Spin = React.createClass({
    displayName: 'Spin',
    mixins: [BemMixin]
});

// @ifdef DEBUG
Spin.propTypes = {
    mod: PropTypes.string,
    size: PropTypes.oneOf(['xs', 's', 'm', 'l', 'xl']),
    theme: PropTypes.oneOf(['islands']),
    visible: PropTypes.bool
};
// @endif

Spin.propsMap = {
    mods: {
        size: null,
        theme: null,
        visible: null
    }
};

Spin.defaultProps = {
    size: 'm',
    theme: 'islands'
};

module.exports = Spin;
